# Activitycollect

Collect bicycle activity statistics from `*.fit` files within `in_folder` and
store them in InfluxDB. When successfully processed move the `*.fit` files into
the `out_folder`.

## Installation

```shell
make install
```

Default install location for the executable is `/usr/bin`. This can be
modyfied by changing the `PREFIX` variable.

```shell
PREFIX=/usr/local/bin make install
```

## Uninstallation

```shell
make uninstall
```

When `PREFIX` was modyfied for installation it needs to be changed for
uninstalling as well.

```shell
PREFIX=/usr/local/bin make uninstall
```

## Configuration

Default configuration file is installed in `/etc/activitycollect/config.json`

## systemd service

```shell
systemctl enable activitycollect.service
systemctl start activitycollect.service
```
